Package org.jboss.logging.processor.model

# Interface MessageMethod.Message

Enclosing interface:
  MessageMethod

public static interface MessageMethod.Message
Represents a `Message` annotation on a method.

## Method Summary

Modifier and Type
Method
Description
`org.jboss.logging.annotations.Message.Format`
`format()`
The message format type for the message.
`boolean`
`hasId()`
Checks if the message has an id that was provided.
`int`
`id()`
The message id for the message to use.
`boolean`
`inheritsId()`
Checks if the message id was inherited.
`String`
`value()`
A format string that can be used with the `format()`.

## Method Details

### id

int id()
The message id for the message to use. Any id less than 0 will be ignored.

Returns:
  the message id.

### hasId

boolean hasId()
Checks if the message has an id that was provided. Returns `true` if the message id was specified or inherited, otherwise returns `false`.

Returns:
  `true` if the message id was provided, otherwise `false`.

### inheritsId

boolean inheritsId()
Checks if the message id was inherited. Returns `true` only if the message id is inherited, otherwise `false` is returned.

Returns:
  `true` if the message id was inherited, otherwise `false`.

### value

String value()
A format string that can be used with the `format()`.

Returns:
  a format string.

### format

org.jboss.logging.annotations.Message.Format format()
The message format type for the message.

Returns:
  the format type.